Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.util
Class GrayscaleImageFactory

    java.lang.Object
      |
      +--com.vistech.util.GrayscaleImageFactory

public class GrayscaleImageFactory
extends java.lang.Object

Constructor Summary
`GrayscaleImageFactory()`
`GrayscaleImageFactory(int width, int height, int depth, short[] data)`

Method Summary
`static java.awt.image.BufferedImage` | `createBandedImage(int imageWidth, int imageHeight, int imageDepth, short[][] data)`
`java.awt.image.BufferedImage` | `createImage()`
`static java.awt.image.BufferedImage` | `createImage(int imageWidth, int imageHeight, int imageDepth, short[] data)`
`java.awt.image.BufferedImage` | `getGrayscaleImage()`
`static void` | `main(java.lang.String[] args)`
`void` | `setData(short[] data)`
`void` | `setImageDepth(int depth)`
`void` | `setImageDimension(int width, int height)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrayscaleImageFactory

    public GrayscaleImageFactory()

### GrayscaleImageFactory

    public GrayscaleImageFactory(int width,
                                 int height,
                                 int depth,
                                 short[] data)

Method Detail

### setImageDimension

    public void setImageDimension(int width,
                                  int height)

### setImageDepth

    public void setImageDepth(int depth)

### setData

    public void setData(short[] data)

### getGrayscaleImage

    public java.awt.image.BufferedImage getGrayscaleImage()

### createImage

    public java.awt.image.BufferedImage createImage()

### createImage

    public static java.awt.image.BufferedImage createImage(int imageWidth,
                                                           int imageHeight,
                                                           int imageDepth,
                                                           short[] data)

### createBandedImage

    public static java.awt.image.BufferedImage createBandedImage(int imageWidth,
                                                                 int imageHeight,
                                                                 int imageDepth,
                                                                 short[][] data)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD